Investors, warrants & staking
Upsert Payment Transfer
Creates or updates the single payment-transfer record (amount, method, transaction ID) attached to a warrant.
POSThttps://api.toku.com/tga/upsert-payment-transfer
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/tga/upsert-payment-transfer' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"warrantID": "string",
"amount": 0,
"name": "string",
"paymentMethod": "WIRE_TRANSFER",
"transactionID": "string"
}'200 response
{
"paymentTransferID": "string",
"roleInOrgID": "string",
"investorEntityID": "string",
"warrantID": "string",
"paymentMethod": "WIRE_TRANSFER",
"amount": 0,
"name": "string",
"transactionID": "string",
"createdAt": "string",
"updatedAt": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
warrantIDstringrequiredamountnumberrequirednamestringrequiredpaymentMethodstringrequiredAvailable options: WIRE_TRANSFER, WALLET
transactionIDstringrequiredResponse
200Successful response
paymentTransferIDstringrequiredroleInOrgIDstringrequiredinvestorEntityIDstring | nullrequiredwarrantIDstringrequiredpaymentMethodstringrequiredAvailable options: WIRE_TRANSFER, WALLET
amountnumberrequirednamestringrequiredtransactionIDstringrequiredcreatedAtstringrequiredupdatedAtstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits